Arch 3Views/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(8 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{docnav|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]|[[Arch_Module|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Module|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Arch 3Views
|Name=Arch 3Views
Line 9: Line 15:
|SeeAlso=[[Arch SplitMesh/de|Netz zerlegen]], [[Arch MeshToShape/de|Wandelt Netz in Form um]]
|SeeAlso=[[Arch SplitMesh/de|Netz zerlegen]], [[Arch MeshToShape/de|Wandelt Netz in Form um]]
}}
}}
</div>


==Description==
==Description==


{{Emphasis|This command is currently not in use.}} It will serve to generate flat, shape-based views from a [[Mesh Module|Mesh]] based object, to be used by the [[Arch Equipment]] tool.
{{Emphasis|This command is currently not in use.}} It will serve to generate flat, shape-based views from a [[Mesh Module|Mesh]] based object, to be used by the {{KEY|[[Image:Arch Equipment.svg|24px]] [[Arch Equipment|Arch Equipment]]}} tool.


==How to use==
==Usage==


# Select a Mesh object.
# Select a Mesh object.
# Select menu {{MenuCommand|Arch → Utilities → [[Image:Arch 3Views.svg|16px]] [[Arch 3Views|3Views]]}}.
# Select the {{KEY|[[Image:Arch 3Views.svg|16px]]}} button, or {{KEY|Arch}}{{KEY|Utilities}}{{KEY|[[Image:Arch 3Views.svg|16px]] [[Arch 3Views|3Views]]}} from the top menu.


== Scripting ==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}
}}

* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
Line 65: Line 71:
}}
}}


{{Docnav
{{docnav|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]|[[Arch_Module|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Module|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Schedule.svg
}}


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Revision as of 18:11, 19 February 2020

Arch 3Views

Menüeintrag
Arch → Dienstprogramme → 3 Ansichten aus Netz
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Netz zerlegen, Wandelt Netz in Form um

Description

This command is currently not in use. It will serve to generate flat, shape-based views from a Mesh based object, to be used by the Arch Equipment tool.

Usage

  1. Select a Mesh object.
  2. Select the button, or ArchUtilities 3Views from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False